Bug 752189 - Cannot activate two finger scroll or any multitouch gesture through gnome settings
Cannot activate two finger scroll or any multitouch gesture through gnome set...
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-11-08 14:04 EST by José Antonio
Modified: 2013-02-13 06:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 06:50:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description José Antonio 2011-11-08 14:04:06 EST
Description of problem:
After the release of Fedora 16, it isn't possible to activate through the gnome-settings any multitouch gestures, also in Fedora 15 by enabling tapping in the touchpad would recognize two finger tap as right click (it doesn't happen anymore).

P.S - I think this might be cause because of grub2, because both multitouch gestures were working ok and also (not exactly this bug) keeping the brighness keys pressed wouldn't make the whole system freeze for some seconds (currently if I keep the brighness keys pressed the brightness keys increase progresively instead it jumps to maximum brighness and decreasing the screen brightness for the first time after boot woudln't make the brightness level decrease to minimun) at early Fedora 16 alphas.
Comment 1 Mads Kiilerich 2011-11-09 13:34:11 EST
I'm confident that it has nothing to do with grub2.

Reassigning to gnome-settings-daemon.
Comment 2 José Antonio 2011-11-11 16:02:48 EST
Is there any information about my system that could actually help to find a solution to this problem?
Comment 3 José Antonio 2011-11-12 09:57:33 EST
I added the testing repos for Fedora 16 just to check if things would start working as intended, but when adding those repos I was entirely unable to change screen brightness and also multitouch kept not working.
Comment 4 José Antonio 2011-11-13 19:13:50 EST
I just noticed that there is no gnome-power-backlight-helper in /usr/sbin with gnome-power-manager 3.2. In Fedora 15 that binary wasn't missing, don't know if that's the issue.
Comment 5 José Antonio 2011-11-15 12:58:13 EST
Right now with current stable update from Fedora 16, I'm entirely unable to change my screen brightness, I have no multitouch and also I'm oddly unable to assign the crl to any keyboard shortcut in the gnome control center (I'm not entirely sure if that's also a gnome-settings-daemon issue but I think it is).
Comment 6 José Antonio 2011-11-16 19:41:59 EST
I got my brightness back by reinstalling bash.
Comment 7 José Antonio 2011-11-16 19:49:56 EST
Although brightness keys work now, changing brightness levels with the keyboard while having the screen settings in the gnome control center opened, wont make the slider move up or down. This behavior was seen in Fedora 15 with Gnome 3.0, although it's a almost non issue I think is better to at least let you know about it.
Comment 8 Fedora End Of Life 2013-01-16 07:02:13 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Fedora End Of Life 2013-02-13 06:50:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.